### Constructor

# Gimp Curve new

since: 3.2

#### Declaration [src]

    GimpCurve*
    gimp_curve_new (
      void
    )

#### Description [src]

Creates a new `GimpCurve` object, of type `GIMP_CURVE_SMOOTH`, with 0 points initially.

Available since: 3.2

#### Return value

Type: `GimpCurve`

A new curve.

The caller of the function takes ownership of the data, and is responsible for freeing it.